Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.util
Class XSLTTemplateProcessor

    java.lang.Object
      org.apache.axis2.util.XSLTTemplateProcessor

    public class XSLTTemplateProcessor

extends java.lang.Object

Constructor Summary
`XSLTTemplateProcessor()`

Method Summary
`static void` | `parse(java.io.OutputStream out, org.w3c.dom.Document document, java.io.InputStream xsltStream)`
`static void` | `parse(java.io.OutputStream out, org.w3c.dom.Document document, java.io.InputStream xsltStream, javax.xml.transform.URIResolver customResolver)`
`static void` | `parse(java.io.OutputStream out, org.w3c.dom.Document document, java.io.InputStream xsltStream, javax.xml.transform.URIResolver customResolver, boolean pretty)`
`static void` | `parse(java.io.OutputStream out, org.w3c.dom.Document doc, javax.xml.transform.Transformer transformer)` Parses an XML stream with an XSL stream
`static void` | `parse(java.io.OutputStream out, java.io.InputStream xmlStream, java.io.InputStream xsltStream)` Parses an XML stream with an XSL stream

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLTTemplateProcessor

    public XSLTTemplateProcessor()

Method Detail

### parse

    public static void parse(java.io.OutputStream out,
                             java.io.InputStream xmlStream,
                             java.io.InputStream xsltStream)
                      throws javax.xml.transform.TransformerFactoryConfigurationError,
                             javax.xml.transform.TransformerException

  Parses an XML stream with an XSL stream

  Parameters:
    `out` - Stream to write the output
    `xmlStream` - Source XML stream
    `xsltStream` - Source XSL stream
  Throws:
    `javax.xml.transform.TransformerFactoryConfigurationError`
    `javax.xml.transform.TransformerException`

### parse

    public static void parse(java.io.OutputStream out,
                             org.w3c.dom.Document doc,
                             javax.xml.transform.Transformer transformer)
                      throws javax.xml.transform.TransformerFactoryConfigurationError,
                             javax.xml.transform.TransformerException

  Parses an XML stream with an XSL stream

  Parameters:
    `out` - Stream to write the output
    `doc` -
    `transformer` -
  Throws:
    `javax.xml.transform.TransformerFactoryConfigurationError`
    `javax.xml.transform.TransformerException`

### parse

    public static void parse(java.io.OutputStream out,
                             org.w3c.dom.Document document,
                             java.io.InputStream xsltStream)
                      throws javax.xml.transform.TransformerFactoryConfigurationError,
                             javax.xml.transform.TransformerException

  Parameters:
    `out` -
    `document` -
    `xsltStream` -
  Throws:
    `javax.xml.transform.TransformerFactoryConfigurationError`
    `javax.xml.transform.TransformerException`

### parse

    public static void parse(java.io.OutputStream out,
                             org.w3c.dom.Document document,
                             java.io.InputStream xsltStream,
                             javax.xml.transform.URIResolver customResolver)
                      throws javax.xml.transform.TransformerFactoryConfigurationError,
                             javax.xml.transform.TransformerException

  Parameters:
    `out` -
    `document` -
    `xsltStream` -
  Throws:
    `javax.xml.transform.TransformerFactoryConfigurationError`
    `javax.xml.transform.TransformerException`

### parse

    public static void parse(java.io.OutputStream out,
                             org.w3c.dom.Document document,
                             java.io.InputStream xsltStream,
                             javax.xml.transform.URIResolver customResolver,
                             boolean pretty)
                      throws javax.xml.transform.TransformerFactoryConfigurationError,
                             javax.xml.transform.TransformerException

  Parameters:
    `out` -
    `document` -
    `xsltStream` -
  Throws:
    `javax.xml.transform.TransformerFactoryConfigurationError`
    `javax.xml.transform.TransformerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.